[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'Crt' (#rtl)

# Delay

Delay program execution.

## Declaration

Source position: crth.inc line 95

`procedure Delay(`
`MS: Word`
`);`

## Description

Delay waits a specified number of milliseconds. The number of specified seconds is an approximation, and may be off a lot, if system load is high.

## Errors

None

## See also

Sound |  | Sound system speaker
NoSound |  | Stop system speaker

## Example

    Program Example15;
    uses Crt;

    { Program to demonstrate the Delay function. }
    var
      i : longint;
    begin
      WriteLn('Counting Down');
      for i:=10 downto 1 do
       begin
         WriteLn(i);
         Delay(1000); {Wait one second}
       end;
      WriteLn('BOOM!!!');
    end.

Documentation generated on: Feb 26 2014